Table of Contents

## Name

showfont - font dumper for X font server

## Synopsis

showfont [ -options ... ] -fn pattern

## Description

Showfont displays data about a font that matches the given pattern. The information shown includes font information, font properties, character metrics, and character bitmaps.

The wildcard character "*" can be used to match any sequence of characters (including none) in the font name, and "?" can be used to match any single character. The "*" and "?" characters must be quoted to prevent them from being expanded by the shell. If no pattern is given, "*" is assumed.

## Options

-server host:port
  The X font server to contact.
-fn name
  The font to display.
-lsb
  The bit order of the font should be requested as LSBFirst (least significant bit first).
-msb
  The bit order of the font should be requested as MSBFirst (most significant bit first).
-LSB
  The byte order of the font should be requested as LSBFirst (least significant byte first).
-MSB
  The byte order of the font should be requested as MSBFirst (most significant byte first).
-ext[ents_only]
  Only the character extents should be displayed, but not the bitmaps.
-start char
  The start of the range of the characters to display (char is a number).
-end char
  The end of the range of the characters to display (char is a number).
-unit n
  The scanline unit of the font (8, 16, 32, or 64).
-pad n
  The scanpad unit of the font (8, 16, 32, or 64).
-b[itmap_pad] n
  The bitmap padding unit of the font (0, 1, or 2, where 0 is ImageRectMin, 1 is ImageRectMaxWidth and 2 is ImageRectMax).
-noprops
  Do not show the font properties.

## See Also

xfs(1) , fslsfonts(1) , xlsfonts(1)

## Environment

FONTSERVER
  the default X font server to contact.

## Copyright

Copyright 1991, Network Computing Devices, Inc.
See X(1) for a full statement of rights and permissions.

## Author

Dave Lemke, Network Computing Devices, Inc.

Table of Contents

- Name
- Synopsis
- Description
- Options
- See Also
- Environment
- Copyright
- Author